import {ScriptAccount} from "../../../../src/app/game-model/scriptAccounts/ScriptAccount";
import {ScriptAccountCondition} from "../../../../src/app/game-model/gamesystems/conditions/ScriptAccountCondition";

export class ConditionTrainer {
  static withSimpleCondition(): ScriptAccountCondition {
    const scriptAccount = new ScriptAccount("Test", "");
    return ScriptAccountCondition.constructScriptAccountCondition(scriptAccount, 0, 10);
  }

  static withSimpleOtherCondition(): ScriptAccountCondition {
    const scriptAccount = new ScriptAccount("Another Test", "");
    return ScriptAccountCondition.constructScriptAccountCondition(scriptAccount, 0, 10);
  }
}
